Bug 1246701 - please provide keys for all Fedora releases in fedora-repos
Summary: please provide keys for all Fedora releases in fedora-repos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-repos
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-24 23:58 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2015-11-01 21:50 UTC (History)
4 users (show)

Fixed In Version: fedora-repos-22-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-01 21:50:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1241383 None None None Never
Red Hat Bugzilla 1272235 None None None Never

Internal Links: 1241383 1272235

Description Zbigniew Jędrzejewski-Szmek 2015-07-24 23:58:54 UTC
Description of problem:
'dnf install --installroot=... --releasever=XX dnf' can be used to bootstrap a Fedora chroot. The only snag is that --nogpg is often recommended, because fedora-repos only provides the GPG keys for the current and next release.

It would be convenient (and safe!) to provide keys for past and future releases, so such bootstrapping can be done without either importing the keys manually and/or using --nogpg. So I'm asking for:
1. restoring keys for non-EOL Fedora releases so that every version of the fedora-repos package has keys for all active Fedora releases

2. in the future, deleting keys only after a certain version of Fedora is EOL.

Discussion on fedora-devel: https://lists.fedoraproject.org/pipermail/devel/2015-July/212428.html.

Comment 1 Kevin Fenzi 2015-08-01 16:36:56 UTC
Dennis and I talked about this some the other day. 

I'll reply to your devel list post with some more questions...

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-10-05 14:05:10 UTC
Any decision here? 1262484 seems to be another instance of the same problem.

Comment 3 Kevin Fenzi 2015-10-05 16:51:57 UTC
ok, in todays releng meeting we decided to include all the old keys... 

I'm going to try and make a PR for fedora-repos to do that. 

If you have time and want to, you also could (since it may be a bit before I get to it).

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-10-05 17:09:28 UTC
I could try to do that, but I need a clarification: "all old keys" is all non-eol keys, or ... ?

Comment 5 Kevin Fenzi 2015-10-05 17:40:54 UTC
All of them, even the eol ones... but we wouldn't go back and update eol fedora-repos of course. 

So:
Fedora 21 would get all the keys up to fedora 24 by the time it eol's
Fedora 22 would get all the keys up to fedora 25 by the time it eol's,etc

Does that make sense?

Comment 6 Zbigniew Jędrzejewski-Szmek 2015-10-07 20:47:37 UTC
OK, pull requests created, one for each of master, f23, f22, and f21:

----------------------------------------------------------------

The following changes since commit c17c76380d39eec4b7a561b338aac7e20c3bc87e:

  setup for rawhide being f24 (2015-07-15 00:52:43 -0500)

are available in the git repository at:

  git://in.waw.pl/git/fedora-repos tags/bug-1246701-master

for you to fetch changes up to 863887211b2e78b173466b843a356966c179df5d:

  Restore F21 and F22 keys (2015-10-07 14:41:31 -0400)

----------------------------------------------------------------

The following changes since commit 038bf64be14336a713b115f8ba06f5867c5cd503:

  sync up with pkgs.fp.o (2015-07-15 00:41:35 -0500)

are available in the git repository at:

  git://in.waw.pl/git/fedora-repos tags/bug-1246701-f23

for you to fetch changes up to 11b339d11002ff15c48b20551ec7dbd8bc18bca9:

  Restore keys for Fedora 8-22 (2015-10-07 14:39:32 -0400)

----------------------------------------------------------------

The following changes since commit ecb46cea171c4dc26b9a525a012e8cce64800b60:

  prep for f22 final rhbz#1221726 disable updates-testing repo (2015-05-19 09:37:53 -0500)

are available in the git repository at:

  git://in.waw.pl/git/fedora-repos tags/bug-1246701-f22

for you to fetch changes up to 66d68538262983a4e9424884938c4f13ab5ad2fc:

  Restore keys for Fedora 8-21 (2015-10-07 14:46:03 -0400)

----------------------------------------------------------------

The following changes since commit 04b23584e424cb5a9f79b5b57ff0b6f9599a48a5:

  update the archmap file for f23 so the keys get installed correctly (2015-09-12 09:11:13 -0500)

are available in the git repository at:

  git://in.waw.pl/git/fedora-repos tags/bug-1246701-f21

for you to fetch changes up to 77a869311c69e8959c0f1344677e1120de523124:

  Restore keys for Fedora 8-20 (2015-10-07 14:47:54 -0400)

----------------------------------------------------------------

I can push them somewhere else if you prefer.

Comment 7 Zbigniew Jędrzejewski-Szmek 2015-10-16 00:02:14 UTC
Is some other form than a traditional pull request preferred?

Comment 8 Kevin Fenzi 2015-10-16 14:10:38 UTC
I pointed Dennis at this and he was going to merge/tweak things, but he's understandably busy with F23 final composes. 

Hopefully he will get to it soon...

Comment 9 Dennis Gilmore 2015-10-20 03:51:54 UTC
The way things were done in the pull requests was not in a way we could use. I have done them differently.

Comment 10 Fedora Update System 2015-10-20 04:43:05 UTC
fedora-repos-22-2 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-72b0a10f52

Comment 11 Zbigniew Jędrzejewski-Szmek 2015-10-22 17:42:43 UTC
(In reply to Dennis Gilmore from comment #9)
> The way things were done in the pull requests was not in a way we could use.
> I have done them differently.

OK, works for me, thanks!

Comment 12 Fedora Update System 2015-10-26 18:31:57 UTC
fedora-repos-22-2 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedora-repos'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-72b0a10f52

Comment 13 Fedora Update System 2015-11-01 21:50:22 UTC
fedora-repos-22-2 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.